affycompTable {affycomp} | R Documentation

## Expression Assessment Table

### Description

These functions takes as an argument the output of the asessment functions.

### Usage

    affycompTable(...,Table=NULL,assessment.list=NULL,method.names=NULL)

    tableAll(...,assessment.list=NULL,method.names=NULL)

    tableDilution(l, method.names=NULL)

    tableFC(l, method.names=NULL)

    tableFC2(l, method.names=NULL)

    tableSignal(l, method.names=NULL)

    tableLS(l, method.names=NULL)

    tableSpikeInSD(l, method.names=NULL)

    tableMA2(l, method.names=NULL)

    tableOverallSNR(...,assessment.list=NULL,method.names=NULL,ngenes=12626)

    tableRanks(...,assessment.list=NULL,method.names=NULL,ngenes=12626,rank=TRUE)

### Arguments

`...` | lists produced by the assessment functions
`Table` | If `TableAll` was used one can send it through this argument
`assessment.list` | Alternatively, one can also send a list of lists produced by `tableAll`.
`method.names` | A character vector with the names of the epxression measure methodology.
`l` | list of assessments.
`rank` | if `TRUE` `tableRanks` will present ranks instead of local slopes.
`ngenes` | when computing ranks, out of how many genes should we do it?

### Details

Read the vignette for more details on what the entries of the table are. `affycompTable` has a few entries per graph. `tableAll` has more entries. Once an assessment is used this function knows what to do. You can call any of the assessment functions described in `assessSpikeIn`, `assessDilution`, `assessSD`, `assessLS`, `assessMA2`, and `assessSpikeInSD`.

Note `tableRanks` and `tableOverallSNR` work on the results from `assessSpikeIn2`.

### Value

A matrix. One column per each method and one row for each comparison. tableOverallSNR is an exception. Where rows represnt methods.

### Author(s)

Rafael A. Irizarry

### Examples

    data(rma.assessment) ##this was produced with affycomp.assess
    data(mas5.assessment) ##this one too
    tmp <- affycompTable(mas5.assessment,rma.assessment)
    format(tmp,digit=2)

[Package affycomp version 1.14.0 Index]